summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-12 23:29:54 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:54 +0200
commitfc7ee16b82c9c3955c2350bdb81de83e77a54ba5 (patch)
tree7313a59ed734e3c13b72b54c070e397f629c658e /libraries
parent40e7f7999a29bb3def703f6b8a56e8525951069f (diff)
downloadslackbuilds-fc7ee16b82c9c3955c2350bdb81de83e77a54ba5.tar.gz
slackbuilds-fc7ee16b82c9c3955c2350bdb81de83e77a54ba5.tar.xz
libraries/apache-ivy: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/apache-ivy/README10
-rw-r--r--libraries/apache-ivy/apache-ivy.SlackBuild53
-rw-r--r--libraries/apache-ivy/apache-ivy.info8
-rw-r--r--libraries/apache-ivy/doinst.sh12
-rw-r--r--libraries/apache-ivy/slack-desc19
5 files changed, 102 insertions, 0 deletions
diff --git a/libraries/apache-ivy/README b/libraries/apache-ivy/README
new file mode 100644
index 0000000000..bd29bb6982
--- /dev/null
+++ b/libraries/apache-ivy/README
@@ -0,0 +1,10 @@
+apache-ivy (apache-ant dependency manager)
+
+Ivy is a library/tool for managing (recording, tracking, resolving and
+reporting) project dependencies.
+
+You can pass an alternate vlalue for ANT_HOME if it is not set to
+/usr/share/ant on your system.
+
+This package includes documention and example-src.zip in the standard
+documentation directory.
diff --git a/libraries/apache-ivy/apache-ivy.SlackBuild b/libraries/apache-ivy/apache-ivy.SlackBuild
new file mode 100644
index 0000000000..fcc8439400
--- /dev/null
+++ b/libraries/apache-ivy/apache-ivy.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for apache-ivy
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=apache-ivy
+VERSION=2.1.0_rc1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TEAM=$(echo $PRGNAM | cut -d- -f1)
+PROJECT=$(echo $PRGNAM | cut -d- -f2)
+SRC_VERSION=$(echo $VERSION | tr _ -)
+ANT_HOME=${ANT_HOME:-/usr/share/ant}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRC_VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION-bin.tar.gz
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/java $PKG/$ANT_HOME/lib
+cp $PROJECT-$SRC_VERSION.jar $PKG/$ANT_HOME/lib/
+cd $PKG/usr/share/java
+ ln -s $ANT_HOME/lib/$PROJECT-$SRC_VERSION.jar $PROJECT.jar
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+zip -9 -r $PKG/usr/doc/$PRGNAM-$VERSION/example-src.zip src
+cp -a CHANGES.txt LICENSE NOTICE README RELEASE_NOTES doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/apache-ivy/apache-ivy.info b/libraries/apache-ivy/apache-ivy.info
new file mode 100644
index 0000000000..31bb5d953d
--- /dev/null
+++ b/libraries/apache-ivy/apache-ivy.info
@@ -0,0 +1,8 @@
+PRGNAM="apache-ivy"
+VERSION="2.1.0_rc1"
+HOMEPAGE="http://ant.apache.org/ivy/"
+DOWNLOAD="http://apache.tradebit.com/pub/ant/ivy/2.1.0-rc1/apache-ivy-2.1.0-rc1-bin.tar.gz"
+MD5SUM="a1542db09e1353d259a1e634eb338b03"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/libraries/apache-ivy/doinst.sh b/libraries/apache-ivy/doinst.sh
new file mode 100644
index 0000000000..1f6d45574c
--- /dev/null
+++ b/libraries/apache-ivy/doinst.sh
@@ -0,0 +1,12 @@
+postinstall scriptlet (using /bin/sh):
+rm -f /usr/share/java/ivy.jar
+ln -s /usr/share/java/ivy-1.4.1.jar /usr/share/java/ivy.jar
+postuninstall scriptlet (using /bin/sh):
+if [ "$1" = "0" ]; then
+ # Remove the old link
+ rm -f /usr/share/java/ivy.jar
+
+ # Put back a new link. It's OK if this fails, that just means there
+ # is no other version of the package installed
+ ln -fs `ls -tr /usr/share/java/ivy-* 2>/dev/null|tail -n 1` /usr/share/java/ivy.jar || true
+fi
diff --git a/libraries/apache-ivy/slack-desc b/libraries/apache-ivy/slack-desc
new file mode 100644
index 0000000000..36e3a6f8ca
--- /dev/null
+++ b/libraries/apache-ivy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+apache-ivy: apache-ivy (apache-ant dependency manager)
+apache-ivy:
+apache-ivy: Ivy is a tool for managing (recording, tracking, resolving and
+apache-ivy: reporting) project dependencies.
+apache-ivy:
+apache-ivy: Homepage http://ant.apache.org/ivy/
+apache-ivy:
+apache-ivy:
+apache-ivy:
+apache-ivy:
+apache-ivy: